## net.sf.saxon.event
Class XHTMLEmitter

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.XHTMLEmitter

All Implemented Interfaces:
  Result, Receiver

    public class XHTMLEmitter

extends XMLEmitter

XHTMLEmitter is an Emitter that generates XHTML output. It is the same as XMLEmitter except that it follows the legacy HTML browser compatibility rules: for example, generating empty elements such as [BR /], and using [p][/p] for empty paragraphs rather than [p/]

Constructor Summary
`XHTMLEmitter()`

Method Summary

Methods inherited from class net.sf.saxon.event.XMLEmitter
`attribute, characters, close, closeStartTag, comment, endDocument, endElement, main, namespace, open, processingInstruction, startContent, startDocument, startElement, writeCharSequence, writeDeclaration`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLEmitter

    public XHTMLEmitter()

Copyright (C) Michael H. Kay. All rights reserved.